Index: LMDZ6/branches/Amaury_dev/libf/phylmdiso/isotopes_routines_mod.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmdiso/isotopes_routines_mod.F90	(revision 5116)
+++ LMDZ6/branches/Amaury_dev/libf/phylmdiso/isotopes_routines_mod.F90	(revision 5117)
@@ -25,5 +25,5 @@
 #ifdef ISOTRAC
 USE isotrac_mod, ONLY: option_revap,index_iso,izone_revap
-use isotrac_routines_mod, ONLY: ajoute_revap, &
+USE isotrac_routines_mod, ONLY: ajoute_revap, &
 &       compress_ilp_evap_glace_zone,compress_ilp_evap_liq_zone, &
 &       uncompress_ilp_zone
@@ -32,10 +32,10 @@
 
 ! inputs
-integer klon,klev,k
-real zrfl_ancien(klon)
-real zrfl(klon) ! pas necessaire, juste pour vérif
-real zxt_ancien(ntraciso,klon) ! equivalent local de xt       
-real zqev_diag(klon)
-real zxtrfl_ancien(ntraciso,klon)
+INTEGER klon,klev,k
+REAL zrfl_ancien(klon)
+REAL zrfl(klon) ! pas necessaire, juste pour vérif
+REAL zxt_ancien(ntraciso,klon) ! equivalent local de xt
+REAL zqev_diag(klon)
+REAL zxtrfl_ancien(ntraciso,klon)
 REAL zrfln(klon)
 REAL dtime ! intervalle du temps (s)
@@ -43,39 +43,39 @@
 REAL zt(klon)
 REAL zqs(klon)
-real zq_ancien(klon)
-real zq(klon) ! pas necessaire, juste pour vérifs
+REAL zq_ancien(klon)
+REAL zq(klon) ! pas necessaire, juste pour vérifs
 
 ! outputs       
-real zxtrfln(ntraciso,klon)  
-real zxtrfl(ntraciso,klon) ! identique à zxtrfln
-real zxt(ntraciso,klon) 
+REAL zxtrfln(ntraciso,klon)
+REAL zxtrfl(ntraciso,klon) ! identique à zxtrfln
+REAL zxt(ntraciso,klon)
 
 ! locals
-real zqevfl(klon)
-real fac_fluxtomixratio(klon)
-real zrfl_cas(klon)       
-real zqev_diag_cas(klon)
-real zxtrfl_cas(niso,klon)
-real zxtrfln_cas(niso,klon)
-real zrfln_cas(klon)
-real zxt_cas(niso,klon) ! zxt compress en input
-real zxtnew_cas(niso,klon) ! zxt compresse en output       
-real qeff(klon)
-real zqs_cas(klon),zt_cas(klon)
-real zq_cas(klon)
-real delP(klon),delP_s_dt(klon)
-real Exi(niso,klon)
-real ztglace_kelvin
+REAL zqevfl(klon)
+REAL fac_fluxtomixratio(klon)
+REAL zrfl_cas(klon)
+REAL zqev_diag_cas(klon)
+REAL zxtrfl_cas(niso,klon)
+REAL zxtrfln_cas(niso,klon)
+REAL zrfln_cas(klon)
+REAL zxt_cas(niso,klon) ! zxt compress en input
+REAL zxtnew_cas(niso,klon) ! zxt compresse en output
+REAL qeff(klon)
+REAL zqs_cas(klon),zt_cas(klon)
+REAL zq_cas(klon)
+REAL delP(klon),delP_s_dt(klon)
+REAL Exi(niso,klon)
+REAL ztglace_kelvin
 parameter (ztglace_kelvin=273) 
-integer frac_sublim
+INTEGER frac_sublim
 parameter (frac_sublim=0)
 ! pour le parsage
-integer icas_evap_tot,ncas_evap_tot
-integer icas_evap_liq,ncas_evap_liq
-integer icas_evap_glace,ncas_evap_glace
+INTEGER icas_evap_tot,ncas_evap_tot
+INTEGER icas_evap_liq,ncas_evap_liq
+INTEGER icas_evap_glace,ncas_evap_glace
 !      integer cas_evap_tot(klon)
-integer cas_evap_liq(klon)
-integer cas_evap_glace(klon)
-integer i,ixt
+INTEGER cas_evap_liq(klon)
+INTEGER cas_evap_glace(klon)
+INTEGER i,ixt
 
 #ifdef ISOVERIF 
@@ -84,5 +84,5 @@
 !integer iso_verif_positif_nostop
 !integer iso_verif_positif_choix_nostop
-integer trace_cas(klon)
+INTEGER trace_cas(klon)
 !real 
 !integer iso_verif_egalite_nostop
@@ -90,8 +90,8 @@
 #endif
 #ifdef ISOTRAC  
-integer iiso,ieau,izone
-real xtrevap_tag(ntraciso,klon)
-real ptrac(klon)
-real hdiag(klon)
+INTEGER iiso,ieau,izone
+REAL xtrevap_tag(ntraciso,klon)
+REAL ptrac(klon)
+REAL hdiag(klon)
 #endif
 
@@ -105,5 +105,5 @@
 DO i=1,klon
   trace_cas(i)=0
-  if (iso_eau.gt.0) THEN
+  IF (iso_eau.gt.0) THEN
            CALL iso_verif_egalite_choix(zxt_ancien(iso_eau,i), &
 &                  zq_ancien(i),'iso_revap_ilp 94', &
@@ -113,11 +113,11 @@
 &                  zrfl_ancien(i),'iso_revap_ilp 99', &
 &                  errmax,errmaxrel)
-  endif      
+  ENDIF
 END DO !do il=1,ncum
 #endif  
 DO i=1,klon
 IF (zrfl_ancien(i) .GT.0.) THEN
-  if (zrfln(i).gt.ridicule*1e-2) THEN
-     if (zt(i).ge.ztglace_kelvin) THEN
+  IF (zrfln(i).gt.ridicule*1e-2) THEN
+     IF (zt(i).ge.ztglace_kelvin) THEN
        icas_evap_liq=icas_evap_liq+1    
        cas_evap_liq(icas_evap_liq)=i
@@ -146,5 +146,5 @@
 #ifdef ISOVERIF
        trace_cas(i)=1
-       if (iso_eau.gt.0) THEN
+       IF (iso_eau.gt.0) THEN
            CALL iso_verif_egalite_choix(zxt(iso_eau,i), &
 &                  zq(i),'iso_revap_ilp 116',errmax,errmaxrel)
@@ -181,5 +181,5 @@
      CALL iso_verif_egalite_choix(zrfln(i), &
 &                  0.0,'iso_revap_ilp 148c',ridicule,errmaxrel)
-     if (iso_eau.gt.0) THEN
+     IF (iso_eau.gt.0) THEN
            CALL iso_verif_egalite_choix(zxt(iso_eau,i), &
 &                  zq(i),'iso_revap_ilp 149',errmax,errmaxrel)
@@ -189,6 +189,6 @@
 &                  zrfl(i),'iso_revap_ilp 151b',errmax,errmaxrel)
      endif
-     if ((iso_HDO.gt.0).and.(iso_O18.gt.0)) THEN
-        if (zq(i).gt.ridicule) THEN
+     IF ((iso_HDO.gt.0).AND.(iso_O18.gt.0)) THEN
+        IF (zq(i).gt.ridicule) THEN
            CALL iso_verif_aberrant_encadre(zxt(iso_HDO,i)/zq(i), &
                          'iso_revap_ilp 178')
@@ -196,5 +196,5 @@
                      zxt(iso_O18,i)/zq(i),'iso_revap_ilp 180')
         endif !if (zq(i).gt.ridicule) THEN
-     endif !if ((iso_HDO.gt.0.and.(iso_O18.gt.0) THEN
+     endif !if ((iso_HDO.gt.0.AND.(iso_O18.gt.0) THEN
 #ifdef ISOTRAC
      CALL iso_verif_traceur(zxtrfl_ancien(1,i), &
@@ -247,10 +247,10 @@
 &           'iso_revap_fisrtilp 695; ap compress_evap_liq', &
 &           errmax,errmaxrel)
-  if (iso_eau.gt.0) THEN
+  IF (iso_eau.gt.0) THEN
     CALL iso_verif_egalite_choix(( &
 &           zxtrfl_cas(iso_eau,i)),(zrfl_cas(i)), &
 &           'iso_revap_fisrtilp 639; ap compress_evap_liq', &
 &           errmax,errmaxrel)
-  endif ! if (iso_eau.gt.0) THEN
+  ENDIF ! if (iso_eau.gt.0) THEN
   CALL iso_verif_egalite_choix(zqev_diag_cas(i), &
 &           zqev_diag(cas_evap_liq(i)), &
@@ -270,5 +270,5 @@
 !     :           qeff(1),zqs_cas(1)
 #endif       
- if (no_pce.eq.1) THEN
+ IF (no_pce.EQ.1) THEN
      CALL stewart_sublim_nofrac_vectall( &
 &        ncas_evap_liq,zq_cas(1), &
@@ -277,5 +277,5 @@
 &        zxtrfln_cas(1,1),zxtnew_cas(1,1),Exi(1,1), &
 &        fac_fluxtomixratio(1))
- else !if (no_pce.eq.1) THEN
+ else !if (no_pce.EQ.1) THEN
   CALL stewart_explicite_vectall(ncas_evap_liq, &
 &           zq_cas(1),zxt_cas(1,1), &
@@ -291,5 +291,5 @@
 #endif
 &   )
-END IF !if (no_pce.eq.1) THEN
+END IF !if (no_pce.EQ.1) THEN
 #ifdef ISOVERIF
   do i=1,ncas_evap_liq
@@ -303,5 +303,5 @@
    enddo
   enddo
-  if (iso_eau.gt.0) THEN
+  IF (iso_eau.gt.0) THEN
      do i=1,ncas_evap_liq
        CALL iso_verif_egalite_choix( &
@@ -314,8 +314,8 @@
 &                  'il pleut 4102',errmax,errmaxrel)        
       enddo !do i=1,ncas_evap_liq
-   endif !if ((iso_eau.gt.0).and.(ixt.eq.iso_eau)) THEN
-   if (iso_HDO.gt.0) THEN
+   endif !if ((iso_eau.gt.0).AND.(ixt.EQ.iso_eau)) THEN
+   IF (iso_HDO.gt.0) THEN
       do i=1,ncas_evap_liq
-         if (zrfln_cas(i).gt.ridicule_rain) THEN
+         IF (zrfln_cas(i).gt.ridicule_rain) THEN
                 CALL iso_verif_aberrant( &
 &                  (zxtrfln_cas(iso_HDO,i) &
@@ -323,9 +323,9 @@
          endif
        enddo !do i=1,ncas_evap_liq
-   endif !if ((iso_HDO.gt.0).and.(ixt.eq.iso_HDO)) THEN
+   endif !if ((iso_HDO.gt.0).AND.(ixt.EQ.iso_HDO)) THEN
    !  WRITE(*,*) 'iso_routines tmp 308: i=',i
-   if ((iso_HDO.gt.0).and.(iso_O18.gt.0)) THEN
+   IF ((iso_HDO.gt.0).AND.(iso_O18.gt.0)) THEN
         do i=1,ncas_evap_liq
-        if (zq(i).gt.ridicule) THEN
+        IF (zq(i).gt.ridicule) THEN
            CALL iso_verif_aberrant_encadre((zxtnew_cas(iso_HDO,i))/zq(cas_evap_liq(i)), &
                          'iso_revap_ilp 311')
@@ -334,8 +334,8 @@
         endif !if (zq(i).gt.ridicule) THEN
         enddo !do i=1,ncas_evap_liq
-    endif !if ((iso_HDO.gt.0.and.(iso_O18.gt.0) THEN
+    endif !if ((iso_HDO.gt.0.AND.(iso_O18.gt.0) THEN
     ! WRITE(*,*) 'iso_routines tmp 319'
 #endif
-  if ((bidouille_anti_divergence).and. &
+  IF ((bidouille_anti_divergence).AND. &
 &           (iso_eau.gt.0)) THEN
     do i=1,ncas_evap_liq
@@ -343,5 +343,5 @@
       zxtnew_cas(iso_eau,i)=zq(cas_evap_liq(i))    
     enddo !do i=1,ncas_evap_liq
-  endif
+  ENDIF
   
   CALL uncompress_ilp( &
@@ -399,5 +399,5 @@
   do i=1,ncas_evap_liq
     ! 1er juin 2009: on remplace ridicule par ridicule*1e3
-    if (ptrac(i).gt.ridicule*1e3) THEN
+    IF (ptrac(i).gt.ridicule*1e3) THEN
       zrfl_cas(i)=zrfl_cas(i)/ptrac(i)
       zqevfl(i)=zqevfl(i)/ptrac(i)
@@ -426,7 +426,7 @@
 #ifdef ISOVERIF
   do i=1,ncas_evap_liq
-    if (iso_verif_egalite_nostop(( &
+    IF (iso_verif_egalite_nostop(( &
 &           zrfl_cas(i)-zqevfl(i)-zrfln_cas(i)),0.0, &
-&          'iso_revap_fisrtilp 314').eq.1) THEN
+&          'iso_revap_fisrtilp 314').EQ.1) THEN
        WRITE(*,*) 'i,zrfl_cas(i),zqevfl(i),zrfln_cas(i)=', &
 &           i,zrfl_cas(i),zqevfl(i),zrfln_cas(i)
@@ -435,9 +435,9 @@
        stop
     endif
-    if (iso_verif_aberrant_choix_nostop( &
+    IF (iso_verif_aberrant_choix_nostop( &
 &         (zxtrfl_cas(iso_HDO,i)), &
 &         (zrfl_cas(i)), &
 &         ridicule_rain,deltalimtrac, &
-&         'iso_revap_ilp 342').eq.1) THEN
+&         'iso_revap_ilp 342').EQ.1) THEN
        WRITE(*,*) 'i,ptrac(i),zrfl_cas(i)=', &
 &           i,ptrac(i),zrfl_cas(i)
@@ -447,5 +447,5 @@
 #endif          
   
- if (no_pce.eq.1) THEN
+ IF (no_pce.EQ.1) THEN
      CALL stewart_sublim_nofrac_vectall( &
 &        ncas_evap_liq,zq_cas(1), & 
@@ -454,5 +454,5 @@
 &        zxtrfln_cas(1,1),zxtnew_cas(1,1),Exi(1,1), &
 &        fac_fluxtomixratio(1))
- else !if (no_pce.eq.1) THEN
+ else !if (no_pce.EQ.1) THEN
   CALL stewart_explicite_vectall(ncas_evap_liq, &
 &           zq_cas(1),zxt_cas(1,1), &
@@ -468,5 +468,5 @@
 #endif
 &   )
-  endif !if (no_pce.eq.1) theniso_revap_fisrtilp 776
+  ENDIF !if (no_pce.EQ.1) theniso_revap_fisrtilp 776
 
   ! renormaliser les flux de precip pour que la proportion masse
@@ -495,8 +495,8 @@
   CALL iso_verif_positif_choix( &
 &           zxt(ixt,cas_evap_liq(i)),0.0,'revap_ilp 397')
-  if (iso_verif_positif_choix_nostop( &
+  IF (iso_verif_positif_choix_nostop( &
 &           zxt(ixt,cas_evap_liq(i))+( &
 &           fac_fluxtomixratio(i)*Exi(iiso,i)), &
-&           0.0,'revap_ilp 401').eq.1) THEN
+&           0.0,'revap_ilp 401').EQ.1) THEN
      WRITE(*,*) 'i,iiso,iso_eau=',i,iiso,iso_eau
      WRITE(*,*) 'zxt=',zxt(ixt,cas_evap_liq(i))
@@ -508,5 +508,5 @@
      WRITE(*,*) 'ptrac=',ptrac(i)
 !             stop
-  endif
+  ENDIF
   enddo !do iiso=1,niso
 END DO !do i=1,ncas_evap_liq
@@ -537,8 +537,8 @@
   ! différentes zones ont été stockées dans xtrevap_tag
   ! on les somme toute dans la vap au tag revap
-  if (option_revap.eq.1) THEN
+  IF (option_revap.EQ.1) THEN
     CALL ajoute_revap(ncas_evap_liq,cas_evap_liq(1), &
 &          klon,izone,zxt(1,1),xtrevap_tag(1,1))            
-  endif !if (option_revap.eq.1) THEN
+  ENDIF !if (option_revap.EQ.1) THEN
 #ifdef ISOVERIF
   do i=1,ncas_evap_liq
@@ -567,5 +567,5 @@
 !     :           cas_evap_glace(1),zqev_diag(cas_evap_glace(1))
 
-  if (iso_eau.gt.0) THEN
+  IF (iso_eau.gt.0) THEN
     do i=1,ncas_evap_glace
       CALL iso_verif_egalite_choix( &
@@ -575,5 +575,5 @@
 &           errmax,errmaxrel)
     enddo !do i=1,ncas_evap_glace
-  endif !if (iso_eau.gt.0) THEN
+  ENDIF !if (iso_eau.gt.0) THEN
 #endif          
   CALL compress_ilp_evap_glace( &
@@ -588,5 +588,5 @@
 &       delP(1),paprs,k,klon,klev,frac_sublim)
 #ifdef ISOVERIF
-  if (iso_eau.gt.0) THEN
+  IF (iso_eau.gt.0) THEN
     do i=1,ncas_evap_glace
       
@@ -608,5 +608,5 @@
 &           errmax,errmaxrel) 
     enddo   !do i=1,ncas_evap_glace
-  endif ! if (iso_eau.gt.0) THEN
+  ENDIF ! if (iso_eau.gt.0) THEN
 #endif          
   do i=1,ncas_evap_glace
@@ -626,8 +626,8 @@
 !            WRITE(*,*) 'zqev_diag_cas(i),fac_fluxtomixratio(i)=',
 !     :         zqev_diag_cas(i),fac_fluxtomixratio(i)  
-    if (iso_verif_positif_nostop( &
+    IF (iso_verif_positif_nostop( &
 &           (zrfl_cas(i)-zqevfl(i)),'iso_revap_fisrtilp 776') &
-&           .eq.1) THEN
-      if (zrfl_cas(i)-zqevfl(i).lt.-ridicule*1e3) THEN
+&           .EQ.1) THEN
+      IF (zrfl_cas(i)-zqevfl(i).lt.-ridicule*1e3) THEN
           stop
       endif
@@ -635,5 +635,5 @@
   enddo !do i=1,ncas_evap_glace
 #endif     
-  if (frac_sublim.eq.1) THEN
+  IF (frac_sublim.EQ.1) THEN
       CALL stewart_glace_vectall(ncas_evap_glace &
 &                ,zq_cas(1),zxt_cas(1,1) &
@@ -642,5 +642,5 @@
 &                ,zxtrfln_cas(1,1),zxtnew_cas(1,1),Exi(1,1) &
 &                ,fac_fluxtomixratio(1),zt(1))
-  else !if (frac_sublim.eq.1) THEN
+  else !if (frac_sublim.EQ.1) THEN
       CALL stewart_sublim_nofrac_vectall(ncas_evap_glace &
 &              ,zq_cas(1),zxt_cas(1,1),zrfl_cas(1),zxtrfl_cas(1,1) &
@@ -648,5 +648,5 @@
 &              ,zxtrfln_cas(1,1),zxtnew_cas(1,1),Exi(1,1) &
 &              ,fac_fluxtomixratio(1))
-  endif  !if (frac_sublim.eq.1) THEN
+  ENDIF  !if (frac_sublim.EQ.1) THEN
 #ifdef ISOVERIF
         !WRITE(*,*) 'ncas_evap_glace=',ncas_evap_glace
@@ -662,5 +662,5 @@
    enddo
   enddo !do i=1,ncas_evap_glace
-  if (iso_eau.gt.0) THEN
+  IF (iso_eau.gt.0) THEN
      do i=1,ncas_evap_glace
        CALL iso_verif_egalite_choix( &
@@ -669,9 +669,9 @@
 &                  'iso_revap_fisrtilp 4553', &
 &                  errmax,errmaxrel)
-       if (iso_verif_egalite_choix_nostop( &
+       IF (iso_verif_egalite_choix_nostop( &
 &              (zxtnew_cas(iso_eau,i)), &
 &              zq(cas_evap_glace(i)), &
 &              'iso_revap_fisrtilp 4103',errmax,errmaxrel) &
-&              .eq.1) THEN
+&              .EQ.1) THEN
           WRITE(*,*) 'i,cas_evap_glace(i)=',i,cas_evap_glace(i)
           WRITE(*,*) 'zq(cas_evap_glace(i))=', &
@@ -681,15 +681,15 @@
        endif !if (iso_verif_egalite_choix_nostop
       enddo !do i=1,ncas_evap_glace
-   endif !if ((iso_eau.gt.0).and.(ixt.eq.iso_eau)) THEN
-   if (iso_HDO.gt.0) THEN
+   endif !if ((iso_eau.gt.0).AND.(ixt.EQ.iso_eau)) THEN
+   IF (iso_HDO.gt.0) THEN
       do i=1,ncas_evap_glace
                 CALL iso_verif_aberrant_choix(zxtrfln_cas(iso_HDO,i), zrfln_cas(i), &
                   ridicule_rain,deltalim_snow, 'iso_revap_fisrtilp 4563')
        enddo !do i=1,ncas_evap_glace
-   endif !if ((iso_HDO.gt.0).and.(ixt.eq.iso_HDO)) THEN
+   endif !if ((iso_HDO.gt.0).AND.(ixt.EQ.iso_HDO)) THEN
    !  WRITE(*,*) 'iso_routines tmp 667: i=',i
-   if ((iso_HDO.gt.0).and.(iso_O18.gt.0)) THEN
+   IF ((iso_HDO.gt.0).AND.(iso_O18.gt.0)) THEN
       do i=1,ncas_evap_glace
-        if (zq(i).gt.ridicule) THEN
+        IF (zq(i).gt.ridicule) THEN
 !     WRITE(*,*) 'iso_routines tmp 679a'
 !        WRITE(*,*) 'cas_evap_glace(i)=',cas_evap_glace(i)
@@ -702,9 +702,9 @@
         endif !if (zq(i).gt.ridicule) THEN
         enddo ! do i=1,ncas_evap_glac
-    endif !if ((iso_HDO.gt.0.and.(iso_O18.gt.0) THEN
+    endif !if ((iso_HDO.gt.0.AND.(iso_O18.gt.0) THEN
 !     WRITE(*,*) 'iso_routines tmp 679d'
 #endif
 
-  if ((bidouille_anti_divergence).and. &
+  IF ((bidouille_anti_divergence).AND. &
 &           (iso_eau.gt.0)) THEN
     do i=1,ncas_evap_glace
@@ -712,8 +712,8 @@
       zxtnew_cas(iso_eau,i)=zq(cas_evap_glace(i))    
     enddo !do i=1,ncas_evap_liq
-  endif ! if ((bidouille_anti_divergence).and.
-
-#ifdef ISOVERIF
-  if (iso_eau.gt.0) THEN
+  ENDIF ! if ((bidouille_anti_divergence).AND.
+
+#ifdef ISOVERIF
+  IF (iso_eau.gt.0) THEN
     do i=1,ncas_evap_glace
     CALL iso_verif_egalite_choix( &
@@ -722,5 +722,5 @@
 &           errmax,errmaxrel)
     enddo !do i=1,ncas_evap_glace
-  endif !if (iso_eau.gt.0) THEN
+  ENDIF !if (iso_eau.gt.0) THEN
 #endif          
   
@@ -753,5 +753,5 @@
   enddo  
 
-  if (frac_sublim.eq.1) THEN
+  IF (frac_sublim.EQ.1) THEN
       CALL stewart_glace_vectall(ncas_evap_glace &
 &                ,zq_cas(1),zxt_cas(1,1) &
@@ -766,5 +766,5 @@
 &              ,zxtrfln_cas(1,1),zxtnew_cas(1,1),Exi(1,1) &
 &              ,fac_fluxtomixratio(1))
-  endif  
+  ENDIF
   
 !          WRITE(*,*) 'iso_revap_ilp 509 tmp: Exi,zqev_diag_cas=',
@@ -782,8 +782,8 @@
   ! différentes zones ont été stockées dans xtrevap_tag
   ! on les somme toute dans la vap au tag revap
-  if (option_revap.eq.1) THEN
+  IF (option_revap.EQ.1) THEN
     CALL ajoute_revap(ncas_evap_glace,cas_evap_glace(1), &
 &          klon,izone,zxt(1,1),xtrevap_tag(1,1))            
-  endif !if (option_revap.eq.1) THEN
+  ENDIF !if (option_revap.EQ.1) THEN
 #ifdef ISOVERIF
   do i=1,ncas_evap_glace
@@ -816,5 +816,5 @@
 &         zxtrfl(iso_eau,i), &
 &         zrfl(i),'iso_revap_fisrtilp 802', &
-&         errmax,errmaxrel).eq.1) THEN
+&         errmax,errmaxrel).EQ.1) THEN
       WRITE(*,*) 'i,k,trace_cas(i)=',i,k,trace_cas(i)
       WRITE(*,*) 'zxtrfln(iso_eau,i),zrfln(i)=', &
@@ -824,5 +824,5 @@
 IF (iso_verif_egalite_choix_nostop( &
 &         zxt(iso_eau,i),zq(i), &
-&         'iso_revap_fisrtilp 807',errmax,errmaxrel).eq.1) THEN
+&         'iso_revap_fisrtilp 807',errmax,errmaxrel).EQ.1) THEN
   WRITE(*,*) 'i,k,trace_cas(i)=',i,k,trace_cas(i)
   stop
@@ -865,29 +865,29 @@
 
 ! inputs:
-real qsol0 ! eau du sol
-real qevap  ! eau perdue par le sol
-real Rsol0(niso) ! rapport iso initial dans sol
-real R1(niso) ! rapport iso dans couche 1, supposé constant
-real q10 ! humidité 1ère couche, en mm
-real h ! humidité rel dans couche 1, supposée cosntante
-real T ! température
-real alphak(niso) ! coef cinétique
-real L ! longueur de diffusion
-real Pveg ! just pour débguage
+REAL qsol0 ! eau du sol
+REAL qevap  ! eau perdue par le sol
+REAL Rsol0(niso) ! rapport iso initial dans sol
+REAL R1(niso) ! rapport iso dans couche 1, supposé constant
+REAL q10 ! humidité 1ère couche, en mm
+REAL h ! humidité rel dans couche 1, supposée cosntante
+REAL T ! température
+REAL alphak(niso) ! coef cinétique
+REAL L ! longueur de diffusion
+REAL Pveg ! just pour débguage
 
 ! outputs!
-real xtnu(niso) !  flux iso dans l'évap
+REAL xtnu(niso) !  flux iso dans l'évap
 
 ! locals
-real f ! fraction d'eau résiduelle dans le sol   
-real interm(niso)        
-real betaprime(niso) ! beta de stewart75
-real gama(niso) ! le gama de Stewart75
-real zxtalphal(niso), zxtalphai(niso) ! coeffs frac
-integer ixt
+REAL f ! fraction d'eau résiduelle dans le sol
+REAL interm(niso)
+REAL betaprime(niso) ! beta de stewart75
+REAL gama(niso) ! le gama de Stewart75
+REAL zxtalphal(niso), zxtalphai(niso) ! coeffs frac
+INTEGER ixt
 
 ! calcul de l'évap: ordre 1 (on prend l'évap en t0) ou bilan total
 ! (on prend l'évap tel que la 1ère couche se mette à l'équilibre
-integer ordre1 ! 1: ordre 1: deltaDevap= si deltaDvap ne change pas
+INTEGER ordre1 ! 1: ordre 1: deltaDevap= si deltaDvap ne change pas
              ! 2: deltaDvap change
 parameter (ordre1=2)
@@ -898,5 +898,5 @@
 !integer iso_verif_egalite_choix_nostop
 !real deltaD
-real xtnu2(niso)
+REAL xtnu2(niso)
 #endif      
 
@@ -907,5 +907,5 @@
   enddo
 #ifdef ISOVERIF
-    if (iso_HDO.gt.0) THEN
+    IF (iso_HDO.gt.0) THEN
 !                WRITE(*,*) 'sol_nu 66: deltaDsol(iso_HDO)=',
 !     :           (Rsol(iso_HDO)/tnat(iso_HDO)-1)*1000
@@ -919,5 +919,5 @@
 #ifdef ISOVERIF
 ! provisoire, à enlever pour tests avec evap sol nu!
-IF (P_veg.eq.1.0) THEN
+IF (P_veg.EQ.1.0) THEN
  CALL iso_verif_egalite(Pveg,1.0,'iso_evap_sol_nu 64')
 END IF
@@ -929,14 +929,14 @@
 END IF !if (iso_eau.gt.0) THEN
 IF (iso_HDO.gt.0) THEN
-  if (qsol0.gt.ridicule_qsol*1e2) THEN
-     if (iso_verif_aberrant_nostop(Rsol0(iso_HDO)/faccond, &
-&           'sol_nu 58').eq.1) THEN
+  IF (qsol0.gt.ridicule_qsol*1e2) THEN
+     IF (iso_verif_aberrant_nostop(Rsol0(iso_HDO)/faccond, &
+&           'sol_nu 58').EQ.1) THEN
        WRITE(*,*) 'qsol0=',qsol0
        stop
      endif !if (iso_verif_aberrant_nostop
-  endif !if (qsol0.gt.ridicule*1e2) THEN
-  if (h.gt.0.01) THEN
+  ENDIF !if (qsol0.gt.ridicule*1e2) THEN
+  IF (h.gt.0.01) THEN
      CALL iso_verif_aberrant(R1(iso_HDO),'sol_nu 59')
-  endif !if (h.gt.0.01) THEN
+  ENDIF !if (h.gt.0.01) THEN
 END IF  !if (iso_HDO.gt.0) THEN
 #endif
@@ -968,19 +968,19 @@
     CALL fractcalk(ixt,T,zxtalphal(ixt),zxtalphai(ixt))
   enddo ! do ixt=1,niso
-  if (qevap.gt.min(L,qsol0)) THEN
+  IF (qevap.gt.min(L,qsol0)) THEN
       ! évap trop rapide pour fractionner
      do ixt=1,niso
        xtnu(ixt)=qevap*Rsol0(ixt) 
      enddo ! do ixt=1,niso
-  else if (qsol0.lt.L) THEN
+  ELSE IF (qsol0.lt.L) THEN
       ! il ne reste plus beaucou d'eau, tout diffuse
      
      ! cas simple où q10>>qevap
-     if (ordre1.eq.1) THEN
+     IF (ordre1.EQ.1) THEN
        do ixt=1,niso
          xtnu(ixt)=qsol0*(Rsol0(ixt)-zxtalphal(ixt)*R1(ixt)) &
 &          +qevap*zxtalphal(ixt)*R1(ixt)
        enddo ! do ixt=1,niso
-     else !if (ordre1.eq.1) THEN
+     else !if (ordre1.EQ.1) THEN
        ! cas général
        do ixt=1,niso
@@ -989,15 +989,15 @@
 &           /(q10+qevap+(qsol0-qevap)*zxtalphal(ixt))
        enddo ! do ixt=1,niso
-     endif !if (ordre1.eq.1) THEN
+     endif !if (ordre1.EQ.1) THEN
   else !if (qevap.gt.min(L,qsol0)) THEN
       ! évaporation non totale et plus d'eau que dans couche de
       ! diffusion                                  
      ! cas simple où q10>>qevap
-     if (ordre1.eq.1) THEN
+     IF (ordre1.EQ.1) THEN
        do ixt=1,niso
         xtnu(ixt)=L*(Rsol0(ixt)-zxtalphal(ixt)*R1(ixt)) &
 &          +qevap*zxtalphal(ixt)*R1(ixt)
        enddo ! do ixt=1,niso
-      else !if (ordre1.eq.1) THEN
+      else !if (ordre1.EQ.1) THEN
         ! cas général
         do ixt=1,niso
@@ -1006,6 +1006,6 @@
 &           /(q10+qevap+(L-qevap)*zxtalphal(ixt))
         enddo ! do ixt=1,niso
-      endif !if (ordre1.eq.1) THEN
-  endif !if (qevap.gt.min(L,qsol0)) THEN
+      endif !if (ordre1.EQ.1) THEN
+  ENDIF !if (qevap.gt.min(L,qsol0)) THEN
 #ifdef ISOVERIF
   do ixt=1,niso
@@ -1013,7 +1013,7 @@
 &               'iso_evap_sol_nu 121')
   enddo
-        if (iso_eau.gt.0) THEN
-         if (iso_verif_egalite_choix_nostop(xtnu(iso_eau),qevap, &
-&                  'sol_nu 110',errmax,errmaxrel).eq.1) THEN
+        IF (iso_eau.gt.0) THEN
+         IF (iso_verif_egalite_choix_nostop(xtnu(iso_eau),qevap, &
+&                  'sol_nu 110',errmax,errmaxrel).EQ.1) THEN
            WRITE(*,*) 'qevap=',qevap
            WRITE(*,*) 'qsol0=',qsol0
@@ -1026,8 +1026,8 @@
          endif
         endif !if (iso_eau.gt.0) THEN
-        if (iso_HDO.gt.0) THEN
-          if (qevap.gt.ridicule_evap*1800) THEN
-            if (iso_verif_aberrant_nostop(xtnu(iso_HDO)/qevap, &
-&                   'sol_nu 113').eq.1) THEN
+        IF (iso_HDO.gt.0) THEN
+          IF (qevap.gt.ridicule_evap*1800) THEN
+            IF (iso_verif_aberrant_nostop(xtnu(iso_HDO)/qevap, &
+&                   'sol_nu 113').EQ.1) THEN
               WRITE(*,*) 'qevap=',qevap
               WRITE(*,*) 'qsol0=',qsol0
@@ -1050,6 +1050,6 @@
             endif !if (iso_verif_aberrant_nosto
           endif !if (qevap.gt.ridicule_evap*1800) THEN
-          if (iso_verif_aberrant_choix_nostop(xtnu(iso_HDO), &
-&             qevap,ridicule,1e5,'sol_nu 195').eq.1) THEN
+          IF (iso_verif_aberrant_choix_nostop(xtnu(iso_HDO), &
+&             qevap,ridicule,1e5,'sol_nu 195').EQ.1) THEN
              WRITE(*,*) 'h=',h
              WRITE(*,*) 'qsol0=',qsol0
@@ -1063,5 +1063,5 @@
 &                  /(q10+qevap))
              
-             if (ordre1.eq.1) THEN
+             IF (ordre1.EQ.1) THEN
                  ! l'ordre 2 aurait-il amélioré?
                do ixt=1,niso
@@ -1083,11 +1083,11 @@
           endif
         endif  !if (iso_HDO.gt.0) THEN
-        if ((iso_O17.gt.0).and.(iso_O18.gt.0)) THEN
-          if (qevap.gt.ridicule_evap) THEN
+        IF ((iso_O17.gt.0).AND.(iso_O18.gt.0)) THEN
+          IF (qevap.gt.ridicule_evap) THEN
             CALL iso_verif_aberrant_o17(xtnu(iso_O17) &
 &               /qevap,xtnu(iso_O18)/qevap, &
 &               'iso_evap_nu 238')
           endif !if (qevap(i).gt.ridicule_evap) THEN
-        endif !if ((iso_O17.gt.0).and.(iso_O18.gt.0)) THEN
+        endif !if ((iso_O17.gt.0).AND.(iso_O18.gt.0)) THEN
 #endif
 
@@ -1120,12 +1120,12 @@
 &               'iso_evap_sol_nu 169')
     enddo
-    if (iso_eau.gt.0) THEN
+    IF (iso_eau.gt.0) THEN
       CALL iso_verif_egalite_choix(xtnu(iso_eau),qevap, &
 &           'sol_nu 151',errmax,errmaxrel)
     endif !if (iso_eau.gt.0) THEN
-    if (iso_HDO.gt.0) THEN
-        if (qevap.gt.ridicule_evap*1800) THEN
-          if (iso_verif_aberrant_nostop(xtnu(iso_HDO)/qevap, &
-&           'sol_nu 154').eq.1) THEN
+    IF (iso_HDO.gt.0) THEN
+        IF (qevap.gt.ridicule_evap*1800) THEN
+          IF (iso_verif_aberrant_nostop(xtnu(iso_HDO)/qevap, &
+&           'sol_nu 154').EQ.1) THEN
                 WRITE(*,*) 'deltaDRsol0=',deltaD(Rsol0(iso_HDO))
                 WRITE(*,*) 'deltaDR1=',deltaD(R1(iso_HDO))
@@ -1151,11 +1151,11 @@
 &             qevap,ridicule,1e5,'sol_nu 269')
     endif  !if (iso_HDO.gt.0) THEN
-   if ((iso_O17.gt.0).and.(iso_O18.gt.0)) THEN
-          if (qevap.gt.ridicule_evap) THEN
+   IF ((iso_O17.gt.0).AND.(iso_O18.gt.0)) THEN
+          IF (qevap.gt.ridicule_evap) THEN
             CALL iso_verif_aberrant_o17(xtnu(iso_O17) &
 &               /qevap,xtnu(iso_O18)/qevap, &
 &               'iso_evap_nu 307')
           endif !if (qevap(i).gt.ridicule_evap) THEN
-        endif !if ((iso_O17.gt.0).and.(iso_O18.gt.0)) THEN
+        endif !if ((iso_O17.gt.0).AND.(iso_O18.gt.0)) THEN
 #endif
 else !if (f.gt.0.90) THEN
@@ -1178,10 +1178,10 @@
 &               'iso_evap_sol_nu 206')
   enddo
-  if (iso_eau.gt.0) THEN
+  IF (iso_eau.gt.0) THEN
      CALL iso_verif_egalite_choix(xtnu(iso_eau),qevap, &
 &           'sol_nu 168',errmax,errmaxrel)
-  endif !if (iso_eau.gt.0) THEN
-  if (iso_HDO.gt.0) THEN
-    if (qevap.gt.ridicule_qsol) THEN
+  ENDIF !if (iso_eau.gt.0) THEN
+  IF (iso_HDO.gt.0) THEN
+    IF (qevap.gt.ridicule_qsol) THEN
       CALL iso_verif_aberrant(xtnu(iso_HDO)/qevap, &
 &                   'sol_nu 171')
@@ -1189,12 +1189,12 @@
     CALL iso_verif_aberrant_choix(xtnu(iso_HDO), &
 &             qevap,ridicule,1e5,'sol_nu 302')
-  endif  !if (iso_HDO.gt.0) THEN
-  if ((iso_O17.gt.0).and.(iso_O18.gt.0)) THEN
-       if (qevap.gt.ridicule_evap) THEN
+  ENDIF  !if (iso_HDO.gt.0) THEN
+  IF ((iso_O17.gt.0).AND.(iso_O18.gt.0)) THEN
+       IF (qevap.gt.ridicule_evap) THEN
             CALL iso_verif_aberrant_o17(xtnu(iso_O17) &
 &               /qevap,xtnu(iso_O18)/qevap, &
 &               'iso_evap_nu 347')
        endif !if (qevap(i).gt.ridicule_evap) THEN
-   endif !if ((iso_O17.gt.0).and.(iso_O18.gt.0)) THEN
+   endif !if ((iso_O17.gt.0).AND.(iso_O18.gt.0)) THEN
 #endif
 
@@ -1225,7 +1225,7 @@
 END IF !if (iso_eau.gt.0) THEN
 IF (iso_HDO.gt.0) THEN
-   if (qevap.gt.ridicule_evap*1800) THEN
-     if (iso_verif_aberrant_nostop(xtnu(iso_HDO)/qevap, &
-&           'sol_nu 189').eq.1) THEN
+   IF (qevap.gt.ridicule_evap*1800) THEN
+     IF (iso_verif_aberrant_nostop(xtnu(iso_HDO)/qevap, &
+&           'sol_nu 189').EQ.1) THEN
        WRITE(*,*) 'deltaDRsol0=',deltaD(Rsol0(iso_HDO))
        WRITE(*,*) 'deltaDR1=',deltaD(R1(iso_HDO))
@@ -1247,8 +1247,8 @@
    CALL iso_verif_aberrant_choix(xtnu(iso_HDO), &
 &             qevap,ridicule,1e5,'sol_nu 354')
-   if (qsol0-qevap.gt.ridicule_qsol*1e2) THEN
-     if (iso_verif_aberrant_nostop((qsol0*Rsol0(iso_HDO) &
+   IF (qsol0-qevap.gt.ridicule_qsol*1e2) THEN
+     IF (iso_verif_aberrant_nostop((qsol0*Rsol0(iso_HDO) &
 &           -xtnu(iso_HDO))/(qsol0-qevap)/faccond, &
-&         'evap_sol_nu, reste sol aberrant 375').eq.1) THEN
+&         'evap_sol_nu, reste sol aberrant 375').EQ.1) THEN
        WRITE(*,*) 'qsol0=',qsol0
        WRITE(*,*) 'deltaDRsol0=',deltaD(Rsol0(iso_HDO))
@@ -1260,12 +1260,12 @@
      endif
    endif
- endif  !if (iso_HDO.gt.0) THEN
- if ((iso_O17.gt.0).and.(iso_O18.gt.0)) THEN
-     if (qevap.gt.ridicule_evap) THEN
+ END IF  !if (iso_HDO.gt.0) THEN
+ IF ((iso_O17.gt.0).AND.(iso_O18.gt.0)) THEN
+     IF (qevap.gt.ridicule_evap) THEN
        CALL iso_verif_aberrant_o17(xtnu(iso_O17) &
 &               /qevap,xtnu(iso_O18)/qevap, &
 &               'iso_evap_nu 419')
      endif !if (qevap(i).gt.ridicule_evap) THEN
-  endif !if ((iso_O17.gt.0).and.(iso_O18.gt.0)) THEN
+  ENDIF !if ((iso_O17.gt.0).AND.(iso_O18.gt.0)) THEN
 #endif
 END IF !if (h.lt.0.01) THEN
@@ -1284,11 +1284,11 @@
 &           'sol_nu 244',errmax,errmaxrel)
 END IF !if (iso_eau.gt.0) THEN
-IF ((iso_O17.gt.0).and.(iso_O18.gt.0)) THEN
-  if (qevap.gt.ridicule_evap) THEN
+IF ((iso_O17.gt.0).AND.(iso_O18.gt.0)) THEN
+  IF (qevap.gt.ridicule_evap) THEN
      CALL iso_verif_aberrant_o17(xtnu(iso_O17) &
 &           /qevap,xtnu(iso_O18)/qevap, &
 &           'iso_evap_nu 443')
-  endif !if (qevap(i).gt.ridicule_evap) THEN
-END IF !if ((iso_O17.gt.0).and.(iso_O18.gt.0)) THEN
+  ENDIF !if (qevap(i).gt.ridicule_evap) THEN
+END IF !if ((iso_O17.gt.0).AND.(iso_O18.gt.0)) THEN
 #endif       
 
@@ -1303,9 +1303,9 @@
 
 ! input:
-real Vsurf ! vent de surface
+REAL Vsurf ! vent de surface
 ! output:
-real kcin(niso) ! coef cin
+REAL kcin(niso) ! coef cin
 ! locals      
-integer ixt ! numéro d'isotope
+INTEGER ixt ! numéro d'isotope
 
 
@@ -1342,15 +1342,15 @@
 
 !c -- inputs:
-      integer kt    ! tracor number
-      real ptin       ! temperature (K)
+      INTEGER kt    ! tracor number
+      REAL ptin       ! temperature (K)
 
 !c -- outputs:
-      real pxtfra   ! fractionation factor for vapor/liquid condensation
-      real pfraice  ! fractionation factor for vapor/ice condensation
+      REAL pxtfra   ! fractionation factor for vapor/liquid condensation
+      REAL pfraice  ! fractionation factor for vapor/ice condensation
 
 !c -- local variables:
-      real ZCELS, ZSATVAL
+      REAL ZCELS, ZSATVAL
       parameter (ZCELS=273.15)
-      real pt ! la température max(ptin,pxtmin)
+      REAL pt ! la température max(ptin,pxtmin)
 
 !      integer iso_verif_noNAN_nostop ! pour debugage
@@ -1363,5 +1363,5 @@
        pt=max(ptin,pxtmin)
 
-       if ((iso_O17.gt.0).and.(kt.eq.iso_O17)) THEN
+       IF ((iso_O17.gt.0).AND.(kt.EQ.iso_O17)) THEN
          pxtfra=(EXP(talph1(kt)/(pt**2)+talph2(kt)/pt+talph3(kt))) &
                  **fac_coeff_eq17_liq
@@ -1371,7 +1371,7 @@
 
 #ifdef ISOVERIF
-       if (pt.gt.pxtice) THEN
-           if (iso_verif_noNAN_nostop(pxtfra,'iso_fractcal 33') &
-                  .eq.1) THEN
+       IF (pt.gt.pxtice) THEN
+           IF (iso_verif_noNAN_nostop(pxtfra,'iso_fractcal 33') &
+                  .EQ.1) THEN
 !             WRITE(*,*) 'kt,pt=',kt,pt
 !             WRITE(*,*) 'talph1(kt),talph2(kt),talph3(kt)=',
@@ -1386,18 +1386,18 @@
 !c-----------------------------------------------------------
 
-       if ((iso_HTO.gt.0).and.(kt.eq.iso_HTO)) THEN
+       IF ((iso_HTO.gt.0).AND.(kt.EQ.iso_HTO)) THEN
           pfraice=EXP(talps1(kt)/(pt**2)+talps2(kt)/pt)
 
-       elseif ((iso_HDO.gt.0).and.(kt.eq.iso_HDO)) THEN
+       elseif ((iso_HDO.gt.0).AND.(kt.EQ.iso_HDO)) THEN
           pfraice=EXP(talps1(kt)/(pt**2)+talps2(kt))
 
-       elseif ((iso_O18.gt.0).and.(kt.eq.iso_O18)) THEN
+       elseif ((iso_O18.gt.0).AND.(kt.EQ.iso_O18)) THEN
           pfraice=EXP(talps1(kt)/pt+talps2(kt))
 
-       elseif ((iso_O17.gt.0).and.(kt.eq.iso_O17)) THEN
+       elseif ((iso_O17.gt.0).AND.(kt.EQ.iso_O17)) THEN
           pfraice=(EXP(talps1(kt)/pt+talps2(kt))) &
                  **fac_coeff_eq17_ice
 
-       elseif ((iso_eau.gt.0).and.(kt.eq.iso_eau)) THEN
+       elseif ((iso_eau.gt.0).AND.(kt.EQ.iso_eau)) THEN
           pfraice=1.
        else
